namespace PkmnLib.Plugin.Gen7.Scripts.Moves;

[Script(ScriptCategory.Move, "memento")]
public class Memento : Script, IScriptOnSecondaryEffect
{
    /// <inheritdoc />
    public void OnSecondaryEffect(IExecutingMove move, IPokemon target, byte hit)
    {
        var evtBatch = new EventBatchId();
        target.ChangeStatBoost(Statistic.Attack, -2, false, false, evtBatch);
        target.ChangeStatBoost(Statistic.SpecialAttack, -2, false, false, evtBatch);

        move.User.Faint(DamageSource.Misc);
    }
}